<?php

namespace Drupal\group_behavior_domain_sync;

use Drupal\Core\Form\FormStateInterface;

class GroupBehaviorDomainSyncFormHooks {

  /**
   * Alter the group content type edit form.
   *
   * @see \Drupal\group_behavior\GroupBehaviorFormHooks::alterGroupContentTypeEditForm
   */
  public static function alterGroupContentTypeEditForm(&$form, FormStateInterface $form_state, $form_id) {
    /** @var \Drupal\Core\Entity\EntityFormInterface $formObject */
    $formObject = $form_state->getFormObject();
    /** @var \Drupal\group\Entity\GroupContentTypeInterface $config */
    $config = $formObject->getEntity();

    $tpsForm =&$form['third_party_settings']['group_behavior'];
    $tpsForm['domain_sync'] = [
      '#type' => 'checkbox',
      '#title' => t('Enable domain sync behavior'),
      '#description' => t('This syncs the domain fields of group behavior nodes to other nodes of that group.'),
      '#default_value' => $config->getThirdPartySetting('group_behavior', 'domain_sync'),
    ];

  }

}
